VMTKIMAGEMORPHOLOGY(1)

NAME
vmtkimagemorphology - vmtk script vmtkimagemorphology

DESCRIPTION
Automatic piping vmtkimagemorphology Parsing options vmtkimagemorphology

vmtkimagemorphology : apply binary or grayscale morphology filter to

    the input image

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-radius BallRadius (int,3) >= 0; default=[1, 1, 1]: the radius of

    the structuring element

-operation Operation (str,1) in ['dilate', 'erode', 'open',

    'close']; default=closing: the morphological operation to perform

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image